LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XForbiddenCharacters Interface Referencepublished

provides access to forbidden character settings in a document. More...

`import"XForbiddenCharacters.idl";`

Inheritance diagram for XForbiddenCharacters:

## Public Member Functions
ForbiddenCharacters | getForbiddenCharacters ([in] com::sun::star::lang::Locale aLocale) raises ( com::sun::star::container::NoSuchElementException )
| returns the forbidden characters for a given locale. More...
boolean | hasForbiddenCharacters ([in] com::sun::star::lang::Locale aLocale)
| determines if forbidden characters are set for a given locale. More...
void | setForbiddenCharacters ([in] com::sun::star::lang::Locale aLocale, [in] ForbiddenCharacters aForbiddenCharacters)
| sets the forbidden characters for a given Locale. More...
void | removeForbiddenCharacters ([in] com::sun::star::lang::Locale aLocale)
| removes the setting of forbidden characters for a given locale. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to forbidden character settings in a document.

In some languages, particular characters are not allowed to be placed at the beginning or at the end of a text line.

## Member Function Documentation

## ◆ getForbiddenCharacters()

ForbiddenCharacters getForbiddenCharacters | ( | [in] com::sun::star::lang::Locale | aLocale | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

returns the forbidden characters for a given locale.

## ◆ hasForbiddenCharacters()

boolean hasForbiddenCharacters | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

determines if forbidden characters are set for a given locale.

## ◆ removeForbiddenCharacters()

void removeForbiddenCharacters | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

removes the setting of forbidden characters for a given locale.

## ◆ setForbiddenCharacters()

void setForbiddenCharacters | ( | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] ForbiddenCharacters | aForbiddenCharacters
| ) |  |

sets the forbidden characters for a given Locale.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XForbiddenCharacters.idl